{pkgs, lib, config, hostName, ...}:

with lib;
with builtins;

{
  options = {};

  config = {
    fileSystems = mapAttrs' (islandName: islandConf: 
        nameValuePair "/mnt/guzzlord/${islandName}" {
          device = "${islandName}:${islandConf.path}";
          fsType = "nfs";
        }) 
        (filterAttrs (n: v: v.type == "nfs")
	  (attrByPath [config.networking.hostName "islands"] {} config.services.guzzlords));
  };
}
